Skip to main content

POST v3/returnMerchandiseAuthorizations

POST 

/v3/returnMerchandiseAuthorizations

Announce that a customer will return products from a shipment.

This endpoint allows the registration of the intent to return a quantity of products related to shipment. Each returnMerchandiseAuthorizationItem must be associated to a shipmentItem that delivered the products to the consumer. This association is expressable through the relationships object under the returnMerchandiseAuthorizationItem.

Validation​

The request is rejected when:

  • the referenced shipment does not exist;
  • the requested quantity is lower than 1;
  • the requested quantity exceeds the quantity originally shipped, optionally minus quantities already authorized or returned;
  • the referenced returnReason does not exist or is not available for the API user;
  • duplicate returnMerchandiseAuthorizationItem lines are submitted for the same shipmentItem unless explicitly allowed.

Request​

Responses​

Created